﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class HardCodedAnimatorUI : MonoBehaviour 
{
	public static HardCodedAnimatorUI _instance;

	private bool _isBetweenAnimations;

	public Sprite[] _sprites;

	public RawImage _image;

	public void HardAnimate()
	{
		if (_isBetweenAnimations == false) 
		{	_isBetweenAnimations = true;
			StartCoroutine ("SwapSprites");
		}
	}

	IEnumerator SwapSprites()
	{
		_image.texture = _sprites[1].texture;
		yield return new WaitForSeconds(0.1f);
		_image.texture = _sprites[2].texture;
		yield return new WaitForSeconds(0.1f);
		_image.texture = _sprites[0].texture;
		_isBetweenAnimations = false;
	}

	// Use this for initialization
	void Start () 
	{  
		if (_instance == null)
			_instance = this;
		_isBetweenAnimations = false;
	}
	
	// Update is called once per frame
	void Update () { }
}