﻿using UnityEngine;
using System.Collections;

public enum SFX
{
	CLICK,
	EAT,
	SCREAM
}

public class HardCodedAudioManager : MonoBehaviour {

	public static HardCodedAudioManager _instance;

	public AudioClip _buttonClick;

	public AudioClip _godEat;

	public AudioClip _scream;

	public AudioSource _source;

	public AudioSource _sourceLayer;

	// Use this for initialization
	void Start () 
	{
		if (_instance == null)
			_instance = this;
	
	}
	
	// Update is called once per frame
	void Update () { }

	public void SwapClips(SFX type)
	{
		switch (type) 
		{
		case SFX.CLICK:
			_source.clip = _buttonClick;
			break;
		case SFX.SCREAM:
			_sourceLayer.clip = _scream;
			break;
		case SFX.EAT:
			_source.clip = _godEat;
			break;
		
		default:
			break;
		}

	}

	public void HardPlay(SFX type)
	{
		if (type == SFX.SCREAM)
			_sourceLayer.Play ();
		else _source.Play ();
	}
}