﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class MainMenu : Manager
{
	public Text _highScore;

	public GameObject _popUp;

	void Awake()
	{
		Time.timeScale = 1f;
		_score = PlayerPrefs.GetInt ("HIGHSCORE", 0);

		_muteSound = PlayerPrefsX.GetBool ("MUTESOUND", false);
		Debug.Log ("START MUTE: " + _muteSound);
		_soundButton.isOn = !_muteSound;
		base.InitSound();

		_highScore.text = _score.ToString ();
	}
	// Use this for initialization
	void Start () { }

	IEnumerator FakeLoad()
	{
		yield return new WaitForSeconds (1f);
		base.LoadScene ("Game");
	}

	public void GoToGame()
	{
		StartCoroutine ("FakeLoad");
	}

	public void TogglePopUp()
	{
		_popUp.SetActive (!_popUp.activeInHierarchy);
	}


	// Update is called once per frame
	void Update () {}


	//public void GoToScene(){ Application.LoadLevel ("Game"); }
}
