﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class Manager : MonoBehaviour {

	protected bool _muteSound;
	protected int _score;

	public AudioSource _sfx;
	public AudioSource _music;
	public AudioSource _sfx2;

	public Toggle _soundButton;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public void LoadScene(string scene) { SceneManager.LoadScene(scene); }

	public void PlaySound() 
	{ 
		if (HardCodedAudioManager._instance != null)
			HardCodedAudioManager._instance.SwapClips (SFX.CLICK);
		_sfx.Play (); 
	
	}

	public void MuteSound()
	{
		_sfx.mute = !_sfx.mute;
		_music.mute = !_music.mute;
		if (HardCodedAudioManager._instance != null)
			_sfx2.mute = !_sfx2.mute;
		

		PlayerPrefsX.SetBool ("MUTESOUND", _sfx.mute);
		PlayerPrefs.Save ();
	}

	public void InitSound()
	{
		_sfx.mute = _music.mute = _muteSound;
		if (HardCodedAudioManager._instance != null)
			_sfx2.mute = _muteSound;
		
		Debug.Log ("MUTE: " + _muteSound);
	}
}